Subject: Re: bug#19925: 25.0.50; mouseover menu items takes up to 30sec to show the proper tooltip or message

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Feb 2015 05:42:16 +0200

> Date: Sun, 22 Feb 2015 14:54:44 -0800 (PST)
> From: Drew Adams <[email-masked]>
> 
> Moving the mouse over menu items, a user should see the associated
> :help pretty much immediately - at most after a delay of a second or
> two.
> 
> Instead, sometimes the help text is shown immediately, sometimes it is
> shown only after, say, 30 seconds, and sometimes after any number of
> seconds less than, say, 30.  I'm not sure, but I think the problem might
> be somewhat more pronounced for items on a submenu or a subsubmenu.
> 
> The same problem occurs, regardless of whether tooltip mode is on.  That
> is, it happens whether the mouseover text is shown in a tooltip or in
> the echo area.
> 
> This bug renders mouseover help on menu items useless, and it makes
> Emacs look pretty bad.
> 
> Worse: because the help text for a previously mouseovered menu item
> remains displayed, a user can read it mistakenly as the help for the
> item the mouse is currently over.  That is, the text is not removed when
> you move mouse away from a given item, just as it is not updated when
> you move mouse to another item.  The help display is, well, the
> opposite of helpful.

AFAICS, that's because the cursor stops blinking after 10 blinks.
Make it blink forever, and the problem is gone.

There's nothing that can be done here to fix this.  Tooltips for w32
menu items need input events to pop up, because when a menu is shown,
Emacs doesn't have control, and waits for the menu to pop down.